For the complete documentation index, see llms.txt. This page is also available as Markdown.

getIdentity

getIdentity — Node identity

post
/

Returns the identity pubkey for the current node. The identity pubkey uniquely identifies the validator node in the Solana network.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getIdentity.

Example: getIdentityPossible values:
paramsarrayRequired

No parameters.

Responses
200

Successful getIdentity response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getIdentity",
    "params": []
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "identity": "9bupGu2BbLbPCb1ZUAswM3GBVfnKsYWBJjJixD5N5cYm"
  }
}

Last updated